

<?php $__env->startSection('content'); ?>
<div class="page-header">
	<div class="page-block">
		<div class="row align-items-center">
			<div class="col-md-12">
				<div class="page-header-title">
					<h5 class="m-b-10">Roles</h5>
				</div>
				<ul class="breadcrumb">
					<li class="breadcrumb-item"><a href="<?php echo e(route('dashboard')); ?>"><i class="feather icon-home"></i></a></li>
					<li class="breadcrumb-item"><a href="#!">Roles</a></li>
					<li class="breadcrumb-item"><a href="#!">List of Roles</a></li>
				</ul>
			</div>
		</div>
	</div>
</div>


<div class="modal" tabindex="-1" role="dialog" id="confirm">
	<div class="modal-dialog" role="document">
        <form action="" id="deleteForm" method="post">
            <div class="modal-content">
                  <div class="modal-header">
                  	<h5 class="modal-title">Confirmation de suppression</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                      <span aria-hidden="true">&times;</span></button>
                        
                  </div>
                  <div class="modal-body">
                    <?php echo e(csrf_field()); ?>

                    <?php echo e(method_field('DELETE')); ?>

                    <p>Etes-vous sûr(e) de vouloir supprimer ce rôle?</p>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal"><i class="fa fa-close"></i> Non, Fermer</button>
                    <button type="submit" name="" class="btn btn-danger" data-dismiss="modal" onclick="formSubmit()">Oui, Supprimer</button>
                 </div>
            </div>
        </form>
    <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<div class="col-md-12">
	<?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	<div class="card">
		<div class="card-header">
			<div class="d-flex align-items-center">
				<h4 class="card-title">Liste des rôles</h4>
				<a href="<?php echo e(route('roles.create')); ?>" class="btn btn-primary btn-round ml-auto" data-toggle="" data-target=""> <i class="fa fa-plus"></i>
					Add Role</a>
			</div>
		</div>
	<div class="card-body">
	<!-- Modal -->
	<div class="modal fade" id="addRowModal" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<?php echo $__env->make('inc.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
				<div class="modal-header no-bd">
					<h5 class="modal-title">
						<span class="fw-mediumbold">
						Nouveau</span> 
						<span class="fw-light">
							rôle
						</span>
					</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<p class="small"> Formulaire d'une nouveau rôle</p>
						<?php echo e(Form::open(array('url' => 'roles'))); ?>

							<div class="row">

								<div class="col-sm-12">
				                    <div class="form-group">
				                        <?php echo e(Form::label('name', 'Nom du rôle')); ?>

				                        <?php echo e(Form::text('name', null, array('class' => 'form-control'))); ?>

				                    </div>
			                	</div>

			                	<div class="col-sm-12">
			                    	<h5><b>Assigner une/des permission(s) au rôle</b></h5>
			                	</div>

			                    <div class="col-sm-12">
				                    <div class='form-group'>
				                        <?php $__currentLoopData = $permissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
				                            <?php echo e(Form::checkbox('permissions[]',  $permission->id )); ?>

				                            <?php echo e(Form::label($permission->name, ucfirst($permission->name))); ?><br>

				                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				                    </div>
			                	</div>

							</div>
						
					</div>

					<div class="modal-footer no-bd">
						<!--<button type="button" id="addRowButton" class="btn btn-primary">Ajouter</button>-->
						<?php echo e(Form::submit('Ajouter', array('class' => 'btn btn-primary'))); ?>

						<button type="button" class="btn btn-danger" data-dismiss="modal">Fermer</button>
					</div>
				<?php echo e(Form::close()); ?>

			</div>
		</div>
	</div>

		<div class="table-responsive">
			<table id="responsive-table" class="display table dt-responsive nowrap" style="width:100%">
				<thead>
				<tr>
					<th>Roles</th>
					<th>Permissions</th>
					<th style="width: 10%">Actions</th>
				</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Roles</th>
						<th>Permissions</th>
						<th>Actions</th>
					</tr>
				</tfoot>
				<tbody>
					<?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<tr>
						<td><?php echo e($role->name); ?></td>
                        <td><?php echo e(str_replace(array('[',']','"'),'', $role->permissions()->pluck('name'))); ?></td>
                        <td>
							<div class="form-button-action">
								<a href="<?php echo e(route('roles.edit', $role->id)); ?>"><button type="button" data-toggle="tooltip" title="" class="btn btn-icon btn-primary btn-lg" data-original-title="Edit">
									<i class="feather icon-edit"></i>
								</button></a>

							<button type="button" data-toggle="modal" onclick="deleteData(<?php echo e($role->id); ?>)" data-target="#confirm" title="" class="btn btn-icon btn-danger" data-original-title="Supprimer">
									<i class="feather icon-trash"></i>
								</button>
							</div>
						</td>
					</tr>
					<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startPush('role'); ?>
<script>
function deleteData(id)
     {
         var id = id;
         var url = '<?php echo e(route("roles.destroy", ":id")); ?>';
         url = url.replace(':id', id);
         $("#deleteForm").attr('action', url);
     }

     function formSubmit()
     {
         $("#deleteForm").submit();
     }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/dermato/resources/views/roles/index.blade.php ENDPATH**/ ?>